AWS IoT Device SDK C++ v2: Aws::Iotjobs::DescribeJobExecutionRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::DescribeJobExecutionRequest Class Referencefinal

`#include <DescribeJobExecutionRequest.h>`

## Public Member Functions
| DescribeJobExecutionRequest ()=default
| DescribeJobExecutionRequest (const Crt::JsonView &doc)
DescribeJobExecutionRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< int64_t > | ExecutionNumber
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< bool > | IncludeJobDocument
Aws::Crt::Optional< Aws::Crt::String > | JobId
Aws::Crt::Optional< Aws::Crt::String > | ClientToken

## Detailed Description

Data needed to make a DescribeJobExecution request.

## Constructor & Destructor Documentation

## ◆ DescribeJobExecutionRequest() [1/2]

Aws::Iotjobs::DescribeJobExecutionRequest::DescribeJobExecutionRequest | ( |  | ) |
| default

## ◆ DescribeJobExecutionRequest() [2/2]

Aws::Iotjobs::DescribeJobExecutionRequest::DescribeJobExecutionRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

DescribeJobExecutionRequest & Aws::Iotjobs::DescribeJobExecutionRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::DescribeJobExecutionRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::DescribeJobExecutionRequest::ClientToken

An opaque string used to correlate requests and responses. Enter an arbitrary value here and it is reflected in the response.

## ◆ ExecutionNumber

Aws::Crt::Optional<int64_t> Aws::Iotjobs::DescribeJobExecutionRequest::ExecutionNumber

Optional. A number that identifies a job execution on a device. If not specified, the latest job execution is returned.

## ◆ IncludeJobDocument

Aws::Crt::Optional<bool> Aws::Iotjobs::DescribeJobExecutionRequest::IncludeJobDocument

Optional. Unless set to false, the response contains the job document. The default is true.

## ◆ JobId

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::DescribeJobExecutionRequest::JobId

The unique identifier assigned to this job when it was created. Or use $next to return the next pending job execution for a thing (status IN_PROGRESS or QUEUED). In this case, any job executions with status IN_PROGRESS are returned first. Job executions are returned in the order in which they were created.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::DescribeJobExecutionRequest::ThingName

The name of the thing associated with the device.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/DescribeJobExecutionRequest.h
- jobs/source/DescribeJobExecutionRequest.cpp